package com.heyu.api.data.dao.vv;
/**
* <p>
* 推广者获得奖品名细子单 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.heyu.api.data.entity.vv.VvPromoterTradeOrderLineAwardEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvPromoterTradeOrderLineAwardDao extends BaseMapper<VvPromoterTradeOrderLineAwardEntity> {


	VvPromoterTradeOrderLineAwardEntity selectVvPromoterTradeOrderLineAwardById(@Param("id")Long id);


	Long insertVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


	Long insertOrUpdateVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


    int updateVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


    int updateCoverVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


    int deleteVvPromoterTradeOrderLineAwardById(@Param("id") Long id);


    List<VvPromoterTradeOrderLineAwardEntity> selectVvPromoterTradeOrderLineAwardByIdList(@IN List<Long> promoterId);



    List<VvPromoterTradeOrderLineAwardEntity> selectVvPromoterTradeOrderLineAwardByPromoterId(Long promoterId);


    List<VvPromoterTradeOrderLineAwardEntity> selectVvPromoterTradeOrderLineAwardByPromoterIdList(@IN List<Long> promoterId);


}